## distorm3 3.3.4

=== examples/java/Makefile ===
UNAME_S := $(shell uname -s)

ifeq ($(UNAME_S),Darwin)

JAVA_HOME=$(shell /usr/libexec/java_home)

all: libjdistorm.dylib
libjdistorm.dylib: jdistorm.c jdistorm.h
	gcc -dynamiclib -o libjdistorm.dylib jdistorm.c -I ${JAVA_HOME}/include/ -I ${JAVA_HOME}/include/darwin/ -ldistorm3

endif

ifeq ($(UNAME_S),Linux)

all: libjdistorm.so
jdistorm.o: jdistorm.c jdistorm.h
        gcc -c jdistorm.c -fPIC -I ${JAVA_HOME}/include -I ${JAVA_HOME}/include/linux

libjdistorm.so: jdistorm.o
        gcc -shared -o libjdistorm.so -L${JAVA_HOME}/jre/lib -ldistorm3 jdistorm.o

endif

=== make/linux/Makefile ===
#
# diStorm3 (Linux Port)
#

TARGET	= libdistorm3.so
COBJS	= ../../src/mnemonics.o ../../src/wstring.o ../../src/textdefs.o ../../src/prefix.o ../../src/operands.o ../../src/insts.o ../../src/instructions.o ../../src/distorm.o ../../src/decoder.o
CC	= gcc
CFLAGS	= -fPIC -O2 -Wall -DSUPPORT_64BIT_OFFSET -DDISTORM_STATIC

all: clib

clean:
	/bin/rm -rf ../../src/*.o ${TARGET} ../../distorm3.a ./../*.o

clib: ${COBJS}
	${CC} ${CFLAGS} ${VERSION} ${COBJS} -shared -o ${TARGET}
	ar rs ../../distorm3.a ${COBJS}

install: libdistorm3.so
	install -s ${TARGET} /usr/local/lib
	@echo "... running ldconfig might be smart ..."

.c.o:
	${CC} ${CFLAGS} ${VERSION} -c $< -o $@

=== make/mac/Makefile ===
#
# diStorm3 (Mac Port)
#

TARGET	= libdistorm3.dylib
PYTHON_BUILD_DIR = ../../Python/macosx-x86
COBJS	= ../../src/mnemonics.o ../../src/wstring.o ../../src/textdefs.o ../../src/prefix.o ../../src/operands.o ../../src/insts.o ../../src/instructions.o ../../src/distorm.o ../../src/decoder.o
CC	= gcc
CFLAGS	= -arch i386 -arch x86_64 -O2 -Wall -fPIC -DSUPPORT_64BIT_OFFSET -DDISTORM_DYNAMIC

all: clib

clean:
	/bin/rm -rf ../../src/*.o ${TARGET} ../../libdistorm3.dylib ../../distorm3.a  ../../*.a

clib: ${COBJS}
	${CC} ${CFLAGS} ${VERSION} ${COBJS} -fPIC -dynamiclib -o ${TARGET}
	[ -d ${PYTHON_BUILD_DIR} ] && rm -rf ${PYTHON_BUILD_DIR} || true
	mkdir ${PYTHON_BUILD_DIR}
	cp ${TARGET} ${PYTHON_BUILD_DIR}/
	#ar rs ../../distorm3.a ${COBJS}

.c.o:
	${CC} ${CFLAGS} ${VERSION} -c $< -o $@

## distorm3 3.0

=== debian/changelog ===
distorm3 (3.0-2) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.6.
  * debian/control: added dh-python as build dependency.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 26 Oct 2014 19:27:10 -0200

distorm3 (3.0-1) unstable; urgency=low

  * Initial release (Closes: #759767)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 30 Aug 2014 00:45:31 -0300

=== debian/control ===
Source: distorm3
Section: libs
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper (>= 9), python, dh-python
Standards-Version: 3.9.6
Homepage: http://code.google.com/p/distorm
Vcs-Git: git://anonscm.debian.org/collab-maint/distorm3.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/distorm3.git
X-Python-Version: 2.6, 2.7

Package: libdistorm3-3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: powerful disassembler library for x86/AMD64 binary streams
 diStorm3 is a binary stream disassembler library project.
 .
 With diStorm3, no more parsing strings is needed. diStorm3 is really a
 decomposer, which means it takes an instruction and returns a binary
 structure which describes it rather than static text. This is great for
 advanced binary code analysis.
 .
 This package provides the shared library.

Package: libdistorm3-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libdistorm3-3 (= ${binary:Version})
Description: powerful disassembler library for x86/AMD64 binary streams (development files)
 diStorm3 is a binary stream disassembler library project.
 .
 With diStorm3, no more parsing strings is needed. diStorm3 is really a
 decomposer, which means it takes an instruction and returns a binary
 structure which describes it rather than static text. This is great for
 advanced binary code analysis.
 .
 This package provides the development files.

Package: python-distorm3
Architecture: all
Section: python
Depends: ${misc:Depends}, libdistorm3-3 (>= ${source:Version})
Description: powerful disassembler library for x86/AMD64 binary streams (Python bindings)
 diStorm3 is a binary stream disassembler library project.
 .
 With diStorm3, no more parsing strings is needed. diStorm3 is really a
 decomposer, which means it takes an instruction and returns a binary
 structure which describes it rather than static text. This is great for
 advanced binary code analysis.
 .
 This package provides the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f
#DH_VERBOSE=1

# The lib SONAME version:
LIBSVERSION=3
# The lib real version:
LIBRVERSION=3.0

DESTDIR=$(CURDIR)/debian/libdistorm3-3
TEMPDEB=$(CURDIR)/debian/tmp

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,-soname,libdistorm3.so.$(LIBSVERSION) -Wl,-z,now

%:
	dh $@ --parallel --with python2

override_dh_install:
	dh_install
	cp $(TEMPDEB)/usr/lib/python2.7/dist-packages/distorm3/libdistorm3.so $(DESTDIR)/usr/lib/libdistorm3.so.$(LIBRVERSION)

=== debian/watch ===
version=3
opts=dversionmangle=s/\.0$// \
http://code.google.com/p/distorm/downloads/list .*distorm3-(\d\S*)-sdist\.(?:zip|tar\.(?:bz2|gz|xz)).*

## distorm3 3.3.0

=== debian/changelog ===
distorm3 (3.3.0-3) unstable; urgency=medium

  * New upstream homepage.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 12 Sep 2015 23:19:22 -0300

distorm3 (3.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 May 2015 13:35:29 -0300

distorm3 (3.3.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Added the 'Files: python/distorm3/*' block.
      - Updated the packaging and upstream copyright years.
  * debian/libdistorm3-3.links: updated to point to 3.3.0 version.
  * debian/libdistorm3-dev.links: updated to point to 3.3.0 version.
  * debian/libdistorm3-3.symbols: updated the symbols.
  * debian/pydist-overrides: added to override the dh_python2 error
      while trying read the non-existent file requires.txt.
  * debian/rules: updated the lib real version.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 24 Feb 2015 09:41:54 -0300

distorm3 (3.0-3) experimental; urgency=medium

  * debian/watch: added a new site to search (PyPI).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 05 Jan 2015 01:46:45 -0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper (>= 9), python, dh-python
 Standards-Version: 3.9.6
-Homepage: http://code.google.com/p/distorm
+Homepage: https://github.com/gdabah/distorm
 Vcs-Git: git://anonscm.debian.org/collab-maint/distorm3.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/distorm3.git
 X-Python-Version: 2.6, 2.7

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # The lib SONAME version:
 LIBSVERSION=3
 # The lib real version:
-LIBRVERSION=3.0
+LIBRVERSION=3.3.0
 
 DESTDIR=$(CURDIR)/debian/libdistorm3-3
 TEMPDEB=$(CURDIR)/debian/tmp

=== debian/watch ===
version=3
https://pypi.python.org/pypi/distorm3 .*/packages/source/d/distorm3/distorm3-(\d\S+)\.(?:zip|tar\.(?:bz2|gz|xz)).*
https://github.com/gdabah/distorm/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## distorm3 3.3.4

=== debian/changelog ===
distorm3 (3.3.4-2) unstable; urgency=medium

  * Bumped DH level to 10.
  * debian/patches/: added 20_reproducible_build.patch to make the build
    reproducible. Thanks to Reiner Herrmann <reiner@reiner-h.de>.
    (Closes: #843245)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 05 Nov 2016 17:15:48 -0200

distorm3 (3.3.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 3.9.8.
  * debian/copyright:
      - Changed the licensing for upstream and packaging. The upstream is using
        BSD-4-Clause now. The packaging will use BSD-3-Clause.
      - Added rights for src/decoder.h file, under GPL-3+.
      - Removed the redundant block about python/distorm3/*.
      - Updated the upstream copyright years.
  * debian/patches/10_fix_init_python.patch: updated to be compliant with new
      upstream source code.
  * debian/libdistorm3-dev.links: updated to link against to 3.3.4 upstream
      version.
  * debian/libdistorm3-3.links: updated to link against to 3.3.4 upstream
      version.
  * debian/rules: bumped the lib real version to 3.3.4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 03 Jul 2016 17:07:54 -0300

distorm3 (3.3.0-4) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 3.9.7.
      - Changed from cgit to git in Vcs-Browser field.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/libdistorm3-dev.install: moved include/ dir from /usr/lib to
      /usr. Thanks to Christopher Wellons <wellons@nullprogram.com>.
      (Closes: #818192)
  * debian/libdistorm3-3.README.Debian: updated.
  * debian/patches/fix_init_python: renamed to 10_fix_init_python.patch.
  * debian/rules:
      - Added the suffix -arch to override_dh_install target name to avoid
        a FTBFS when building architecture-independent packages only. Thanks
        to Santiago Vila <sanvila@debian.org>. (Closes: #806016)
      - Changed the variables names from LIBRVERSION to LIB_R_VERSION and
        LIBSVERSION to LIB_S_VERSION to make an easy visualization.
      - Removed the --parallel option from dh.
  * debian/watch:
      - Bumped to version 4.
      - Removed the extra source to avoid conflicts with uscan.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Mar 2016 23:46:14 -0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 9), python, dh-python
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 10), python, dh-python
+Standards-Version: 3.9.8
 Homepage: https://github.com/gdabah/distorm
-Vcs-Git: git://anonscm.debian.org/collab-maint/distorm3.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/distorm3.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/distorm3.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/distorm3.git
 X-Python-Version: 2.6, 2.7
 
 Package: libdistorm3-3

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# The lib SONAME version:
LIB_S_VERSION=3
# The lib real version:
LIB_R_VERSION=3.3.4

DESTDIR=$(CURDIR)/debian/libdistorm3-3
TEMPDEB=$(CURDIR)/debian/tmp

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed,-soname,libdistorm3.so.$(LIB_S_VERSION) -Wl,-z,now

%:
	dh $@ --with python2

override_dh_install-arch:
	dh_install
	cp $(TEMPDEB)/usr/lib/python2.7/dist-packages/distorm3/libdistorm3.so \
           $(DESTDIR)/usr/lib/libdistorm3.so.$(LIB_R_VERSION)

=== debian/watch ===
version=4
https://github.com/gdabah/distorm/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## distorm3 3.3.8

=== make/linux/Makefile ===
#
# diStorm3 (Linux Port)
#

TARGET	= libdistorm3.so
COBJS	= ../../src/mnemonics.o ../../src/wstring.o ../../src/textdefs.o ../../src/prefix.o ../../src/operands.o ../../src/insts.o ../../src/instructions.o ../../src/distorm.o ../../src/decoder.o
CC	= gcc
CFLAGS	+= -fPIC -O2 -Wall -DSUPPORT_64BIT_OFFSET -DDISTORM_STATIC
LDFLAGS	+= -shared
PREFIX	= /usr/local
# The lib SONAME version:
LIB_S_VERSION = 3
# The lib real version:
LIB_R_VERSION = 3.3.8
LDFLAGS += -Wl,-soname,${TARGET}.${LIB_S_VERSION}
DESTDIR	=

all: clib

clean:
	/bin/rm -rf ../../src/*.o ${TARGET} ../../distorm3.a ./../*.o

clib: ${COBJS}
	${CC} ${CFLAGS} ${VERSION} ${COBJS} ${LDFLAGS} -o ${TARGET}
	ar rs ../../distorm3.a ${COBJS}

install: libdistorm3.so
	install -D -s ${TARGET} ${DESTDIR}/${PREFIX}/lib/${TARGET}
	@echo "... running ldconfig might be smart ..."

.c.o:
	${CC} ${CFLAGS} ${VERSION} -c $< -o $@

=== debian/changelog ===
distorm3 (3.3.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 20 Nov 2018 18:06:23 -0200

distorm3 (3.3.8-1) experimental; urgency=medium

  * New upstream version 3.3.8.
  * debian/copyright:
      - Now, the upstream is using BSD-3-Clause, instead of BSD-4-Clause.
      - Migrated packaging license to BSD-3-Clause.
      - Updated upstream copyright years.
  * debian/libdistorm3-3.links: updated lib version from 3.3.4 to 3.3.8.
  * debian/libdistorm3-3.symbols: added a Build-Depends-Package field.
  * debian/libdistorm3-dev.examples: added to install the new examples.
  * debian/libdistorm3-dev.links: updated lib version from 3.3.4 to 3.3.8.
  * debian/patches/20_reproducible_build.patch: removed. The upstream fixed the
    source code. Thanks!
  * debian/python-distorm3.install: removed no longer existent Python specific
    examples.
  * debian/rules: updated lib version from 3.3.4 to 3.3.8.
  * debian/tests/:
      - Added a new test (test.cpp).
      - Removed an unneeded line Depends from control file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 19 Nov 2018 16:36:16 -0200

distorm3 (3.3.4-3) unstable; urgency=medium

  * Migrated DH level to 11.
  * debian/control:
      - Added python as dependency for python-distorm3. Thanks
        to Adrian Bunk <bunk@debian.org> (Closes: #906018)
      - Bumped Standards-Version to 4.2.1.
      - Changed Vcs-* URLs to salsa.debian.org.
      -  Removed ancient X-Python-Version field.
  * debian/copyright:
      - Updated packaging copyright years.
      - Using a secure copyright format in URI.
  * debian/tests/*: added to perform tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 28 Aug 2018 19:31:14 -0300

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # The lib SONAME version:
 LIB_S_VERSION=3
 # The lib real version:
-LIB_R_VERSION=3.3.4
+LIB_R_VERSION=3.3.8
 
 DESTDIR=$(CURDIR)/debian/libdistorm3-3
 TEMPDEB=$(CURDIR)/debian/tmp

## distorm3 3.4.1

=== examples/tests/Makefile ===
#
# diStorm (Linux Port) / Demo Application Makefile
#

TARGET	= disasm
CC	= gcc
CFLAGS	= -Wall -O2 -I. -o

all:	disasm

disasm:
	${CC} ${CFLAGS} ${TARGET} main.cpp ../distorm64.a

clean:
	/bin/rm -rf *.o ${TARGET}

=== make/linux/Makefile ===
#
# diStorm3 (Linux Port)
#

TARGET_BASE	= libdistorm3.so
COBJS	= ../../src/mnemonics.o ../../src/wstring.o ../../src/textdefs.o ../../src/prefix.o ../../src/operands.o ../../src/insts.o ../../src/instructions.o ../../src/distorm.o ../../src/decoder.o
CC	= gcc
CFLAGS	+= -fPIC -O2 -Wall -DSUPPORT_64BIT_OFFSET -DDISTORM_STATIC
LDFLAGS	+= -shared
PREFIX	= /usr/local
# The lib SONAME version:
LIB_S_VERSION = 3
# The lib real version:
LIB_R_VERSION = 3.4.0
LDFLAGS += -Wl,-soname,${TARGET_BASE}.${LIB_S_VERSION}
DESTDIR	=
TARGET_NAME = ${TARGET_BASE}.${LIB_R_VERSION}

all: clib

clean:
	/bin/rm -rf ../../src/*.o ${TARGET_NAME} ../../distorm3.a ./../*.o

clib: ${COBJS}
	${CC} ${CFLAGS} ${VERSION} ${COBJS} ${LDFLAGS} -o ${TARGET_NAME}
	ar rs ../../distorm3.a ${COBJS}

install: ${TARGET_NAME}
	install -D -s ${TARGET_NAME} ${DESTDIR}${PREFIX}/lib/${TARGET_NAME}
	ln -sf ${DESTDIR}${PREFIX}/lib/${TARGET_NAME} ${DESTDIR}${PREFIX}/lib/${TARGET_BASE}
	@echo "... running ldconfig might be smart ..."

.c.o:
	${CC} ${CFLAGS} ${VERSION} -c $< -o $@

=== make/mac/Makefile ===
#
# diStorm3 (Mac Port)
#

DISTORM_MODE ?= DISTORM_DYNAMIC
TARGET	= libdistorm3.dylib
PYTHON_BUILD_DIR = ../../Python/macosx-x86
COBJS	= ../../src/mnemonics.o ../../src/wstring.o ../../src/textdefs.o ../../src/prefix.o ../../src/operands.o ../../src/insts.o ../../src/instructions.o ../../src/distorm.o ../../src/decoder.o
CC	= gcc
CFLAGS	= -arch i386 -arch x86_64 -O2 -Wall -fPIC -DSUPPORT_64BIT_OFFSET -D${DISTORM_MODE}

all: clib

clean:
	/bin/rm -rf ../../src/*.o ${TARGET} ../../libdistorm3.dylib ../../distorm3.a  ../../*.a

clib: ${COBJS}
ifeq '$(DISTORM_MODE)' 'DISTORM_DYNAMIC'
	${CC} ${CFLAGS} ${VERSION} ${COBJS} -fPIC -dynamiclib -o ${TARGET}
	[ -d ${PYTHON_BUILD_DIR} ] && rm -rf ${PYTHON_BUILD_DIR} || true
	mkdir ${PYTHON_BUILD_DIR}
	cp ${TARGET} ${PYTHON_BUILD_DIR}/
else
	ar rs ../../distorm3.a ${COBJS}
endif

.c.o:
	${CC} ${CFLAGS} ${VERSION} -c $< -o $@

=== debian/changelog ===
distorm3 (3.4.1-4) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (See #951161)
  * Remove Python2 support. Consequently:
      - debian/control:
          ~ Removed binary python-distorm3.
          ~ Removed python and python-setuptools from Build-Depends field.
      - debian/rules:
          ~ Changed from python2.7 to python3 in override_dh_install-arch
            target.
          ~ Removed addon python2.
      - Closes: #943043
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
      - Using '${python3:Depends}' instead of 'python' in Depends field for
        python3-distorm3. Change from Ubuntu.
  * debian/copyright: updated packaging copyright years.
  * debian/not-installed:
      - Listed usr/lib/python3/dist-packages/distorm3/libdistorm3.so as
        not installed. This file is being installed by debian/rules and
        debian/libdistorm3-dev.links.
  * debian/python-distorm3.install: removed.
  * debian/python3-distorm3.install: added a line to install *.pyc files.
  * debian/rules: removed unneeded flags from DEB_LDFLAGS_MAINT_APPEND:
      - -soname,libdistorm3.so.$(LIB_S_VERSION): the upstream is providing a
        variable SONAME.
      - -Wl,--as-needed: the upstream fixed the source code.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/test.py: using Python3 now.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 10 Feb 2020 22:06:28 -0300

distorm3 (3.4.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 08 Jan 2019 18:03:08 -0200

distorm3 (3.4.1-2) experimental; urgency=medium

  * Created python3-distorm3 binary package. Consequently:
      - debian/control:
          ~ Added python3 and python3-setuptools to Build-Depends field.
          ~ Added a new section (python3-distorm3).
      - debian/python-distorm3.install: changed all python* calls to python2*
        to avoid conflicts or wrong installs.
      - debian/python3-distorm3.install: added to install the python3 bindings.
      - debian/rules: added addon python3 to dh line.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 04 Jan 2019 16:59:06 -0200

distorm3 (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1.
  * debian/clean: added to remove some files created by upstream build system.
  * debian/compat: removed because this file was deprecated by debhelper-compat
    build dependency in debian/control.
  * debian/control:
      - Added python-setuptools to Build-Depends field.
      - Bumped Standards-Version to 4.3.0.
      - Changed debhelper by debhelper-compat in Build-Depends field and set
        level to 12.
  * debian/copyright: updated packaging copyright years.
  * debian/libdistorm3-3.links: updated to point to 3.4.1 version.
  * debian/libdistorm3-dev.links: updated to point to 3.4.1 version.
  * debian/rules:
      - Added buildsystem=pybuild addon to dh line to use the third-party
        "pybuild" build system instead of python-distutils because this
        feature was removed in DH compat 12.
      - Changed lib real name version to 3.4.1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 04 Jan 2019 16:52:15 -0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: distorm3
 Section: libs
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 10), python, dh-python
-Standards-Version: 3.9.8
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 12),
+               dh-python,
+               python3,
+               python3-setuptools
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/gdabah/distorm
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/distorm3.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/distorm3.git
-X-Python-Version: 2.6, 2.7
+Vcs-Browser: https://salsa.debian.org/debian/distorm3
+Vcs-Git: https://salsa.debian.org/debian/distorm3.git
 
 Package: libdistorm3-3
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: powerful disassembler library for x86/AMD64 binary streams
  diStorm3 is a binary stream disassembler library project.
  .
@@ -36,11 +39,11 @@
  .
  This package provides the development files.
 
-Package: python-distorm3
+Package: python3-distorm3
 Architecture: all
 Section: python
-Depends: ${misc:Depends}, libdistorm3-3 (>= ${source:Version})
-Description: powerful disassembler library for x86/AMD64 binary streams (Python bindings)
+Depends: ${misc:Depends}, libdistorm3-3 (>= ${source:Version}), ${python3:Depends}
+Description: powerful disassembler library for x86/AMD64 binary streams (Python3 bindings)
  diStorm3 is a binary stream disassembler library project.
  .
  With diStorm3, no more parsing strings is needed. diStorm3 is really a
@@ -48,4 +51,4 @@
  structure which describes it rather than static text. This is great for
  advanced binary code analysis.
  .
- This package provides the Python bindings.
+ This package provides the Python3 bindings.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# The lib real version:
LIB_R_VERSION=3.4.1

DESTDIR=$(CURDIR)/debian/libdistorm3-3
TEMPDEB=$(CURDIR)/debian/tmp
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,now

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install-arch:
	dh_install
	cp $(TEMPDEB)/usr/lib/python3/dist-packages/distorm3/libdistorm3.so \
           $(DESTDIR)/usr/lib/libdistorm3.so.$(LIB_R_VERSION)

=== debian/tests/control ===
Tests: test.py

Test-Command: g++ debian/tests/test.cpp -o test; ./test
Depends: @, g++

## distorm3 3.5.2b

=== make/linux/Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 #
 
 TARGET_BASE	= libdistorm3.so
-COBJS	= ../../src/mnemonics.o ../../src/wstring.o ../../src/textdefs.o ../../src/prefix.o ../../src/operands.o ../../src/insts.o ../../src/instructions.o ../../src/distorm.o ../../src/decoder.o
+COBJS	= ../../src/mnemonics.o ../../src/textdefs.o ../../src/prefix.o ../../src/operands.o ../../src/insts.o ../../src/instructions.o ../../src/distorm.o ../../src/decoder.o
 CC	= gcc
-CFLAGS	+= -fPIC -O2 -Wall -DSUPPORT_64BIT_OFFSET -DDISTORM_STATIC
+CFLAGS	+= -fPIC -O2 -Wall -DSUPPORT_64BIT_OFFSET -DDISTORM_STATIC -std=c99
 LDFLAGS	+= -shared
 PREFIX	= /usr/local
 # The lib SONAME version:

=== make/mac/Makefile ===
--- 
+++ 
@@ -5,9 +5,12 @@
 DISTORM_MODE ?= DISTORM_DYNAMIC
 TARGET	= libdistorm3.dylib
 PYTHON_BUILD_DIR = ../../Python/macosx-x86
-COBJS	= ../../src/mnemonics.o ../../src/wstring.o ../../src/textdefs.o ../../src/prefix.o ../../src/operands.o ../../src/insts.o ../../src/instructions.o ../../src/distorm.o ../../src/decoder.o
+COBJS	= ../../src/mnemonics.o ../../src/textdefs.o ../../src/prefix.o ../../src/operands.o ../../src/insts.o ../../src/instructions.o ../../src/distorm.o ../../src/decoder.o
 CC	= gcc
-CFLAGS	= -arch i386 -arch x86_64 -O2 -Wall -fPIC -DSUPPORT_64BIT_OFFSET -D${DISTORM_MODE}
+CFLAGS	= -arch x86_64 -O2 -Wall -fPIC -DSUPPORT_64BIT_OFFSET -D${DISTORM_MODE}
+ifeq ($(DISTORM_FAT), 1)
+        CFLAGS += -arch i386
+endif
 
 all: clib

=== make/tinycc/Makefile ===
#
# diStorm3 (Linux Port)
#

TARGET_BASE	= libdistorm3.so
COBJS	= ../../src/mnemonics.o ../../src/textdefs.o ../../src/prefix.o ../../src/operands.o ../../src/insts.o ../../src/instructions.o ../../src/distorm.o ../../src/decoder.o
CC	= tcc
CFLAGS	+= -fPIC -Wall -DSUPPORT_64BIT_OFFSET -DDISTORM_STATIC -std=c99
LDFLAGS	+= -shared
PREFIX	= /usr/local
# The lib SONAME version:
LIB_S_VERSION = 3
# The lib real version:
LIB_R_VERSION = 3.4.0
LDFLAGS += -Wl,-soname,${TARGET_BASE}.${LIB_S_VERSION}
DESTDIR	=
TARGET_NAME = ${TARGET_BASE}.${LIB_R_VERSION}

all: clib

clean:
	/bin/rm -rf ../../src/*.o ${TARGET_NAME} ../../distorm3.a ./../*.o

clib: ${COBJS}
	${CC} ${CFLAGS} ${VERSION} ${COBJS} ${LDFLAGS} -o ${TARGET_NAME}
	tcc -ar rs ../../distorm3.a ${COBJS}

install: ${TARGET_NAME}
	install -D -s ${TARGET_NAME} ${DESTDIR}${PREFIX}/lib/${TARGET_NAME}
	ln -sf ${DESTDIR}${PREFIX}/lib/${TARGET_NAME} ${DESTDIR}${PREFIX}/lib/${TARGET_BASE}
	@echo "... running ldconfig might be smart ..."

.c.o:
	${CC} ${CFLAGS} ${VERSION} -c $< -o $@

=== debian/changelog ===
distorm3 (3.5.2b-3) unstable; urgency=medium

  * QA upload.
  * debian/rules: changed the target override_dh_link to override_dh_link-arch
    to avoid a creation of a SONAME symlink also in python3-distorm3. This
    action will try to solve #1042409.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 27 Jul 2023 21:16:58 -0300

distorm3 (3.5.2b-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 27 Jul 2023 16:58:02 -0300

distorm3 (3.5.2b-1) experimental; urgency=medium

  * QA upload.
  * New upstream version 3.5.2b.
  * debian/control: added libpython3-dev to Build-Depends.
  * debian/copyright:
      - Removed extra upstream sections because all source code is now
        copyrighted by Gil Dabah, under BSD-3-Clause.
      - Updated upstream copyright years.
  * debian/libdistorm3-3.dirs: no longer needed. Removed.
  * debian/libdistorm3-3.symbols:
      - Fixed initial version from 3 to 3.0.0.
      - Updated symbols.
  * debian/not-installed: updated to ignore the "wrong" library name. The right
    name is being created by debian/rules.
  * debian/patches/10_fix_init_python.patch: no longer needed. Removed.
  * debian/python3-distorm3.install: updated to make it compliant with the new
    upstream release.
  * debian/rules:
      - Set a SONAME, not provided by the upstream.
      - Updated the target override_dh_install-arch to create a real name
        symlink against to the .so file provided by the upstream.
  * debian/tests/: dropped a useless test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 26 Jul 2023 10:38:01 -0300

distorm3 (3.4.1-6) experimental; urgency=medium

  * QA upload.
  * Moved the lib to multiarch target. Consequently:
      - debian/libdistorm3-3.dirs: updated to create the right path.
      - debian/libdistorm3-dev.links: added the right path.
      - debian/patches/10_fix_init_python.patch: updated to insert a XXX
        sequence, to be replaced via debian/rules.
      - debian/rules:
          - Added the target override_dh_install-indep to change the XXX
            by the right multiarch lib file.
          - Changed the targets override_dh_install-arch and  override_dh_link
            to use the multiarch target.
  * debian/control:
      - Added an indication of runtime to a short description.
      - Bumped Standards-Version to 4.6.2.
      - Migrated DH level to 13.
      - Using 'Multi-Arch: same' for the runtime binary.
  * debian/copyright:
      - Added packaging rights for Jelmer Vernooĳ.
      - Added Upstream-Contact field.
      - Converted the last paragraph of the GPL-3 in a comment.
      - Updated packaging copyright years.
  * debian/libdistorm3-dev.links: fixed symlink to point to SONAME file,
    instead of real name file.
  * debian/libdistorm3-3.links: removed in favor of the target override_dh_link
    in debian/rules.
  * debian/patches/10_fix_init_python.patch: added Forwarded field.
  * debian/rules: using the variable ${DEB_VERSION_UPSTREAM} to create a
    correct and updated symlink for the real name from the SONAME.
  * debian/tests/control: set all tests as superficial.
  * debian/upstream/metadata: added the field Documentation.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 25 Jul 2023 22:12:23 -0300

distorm3 (3.4.1-5) unstable; urgency=low

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + libdistorm3-dev: Add Multi-Arch: same.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 02 Feb 2021 18:12:15 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: libs
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               libpython3-dev,
                python3,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/gdabah/distorm
 Vcs-Browser: https://salsa.debian.org/debian/distorm3
@@ -14,8 +15,9 @@
 
 Package: libdistorm3-3
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: powerful disassembler library for x86/AMD64 binary streams
+Description: powerful disassembler library for x86/AMD64 binary streams (runtime)
  diStorm3 is a binary stream disassembler library project.
  .
  With diStorm3, no more parsing strings is needed. diStorm3 is really a
@@ -27,6 +29,7 @@
 
 Package: libdistorm3-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, libdistorm3-3 (= ${binary:Version})
 Description: powerful disassembler library for x86/AMD64 binary streams (development files)

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# The lib real name version:
include /usr/share/dpkg/pkg-info.mk
LIB_R_VERSION=${DEB_VERSION_UPSTREAM}

# The SONAME version (the upstream asks for making own adjustments to build).
# https://github.com/gdabah/distorm/wiki/BuildCompilationEnvironment#compiling-the-source-code
LIB_S_VERSION=$(shell echo ${DEB_VERSION_UPSTREAM} | cut -d"." -f1)

DESTDIR=$(CURDIR)/debian/libdistorm3-3
TEMPDEB=$(CURDIR)/debian/tmp
LIBMULTIDIR=$(DESTDIR)/usr/lib/${DEB_TARGET_MULTIARCH}

# Providing full GCC hardening with -Wl,-z,now
# and a SONAME with -soname,libdistorm3.so.$(LIB_S_VERSION)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,now,-soname,libdistorm3.so.$(LIB_S_VERSION)

%:
	dh $@ --with python3 --buildsystem=pybuild

# Installing the .so file as real name (from libdistorm3.so to real name).
# This is the only file lib provided from the upstream (with a wrong name).
override_dh_install-arch:
	dh_install usr/lib/python3*/dist-packages/*distorm*.so usr/lib/${DEB_TARGET_MULTIARCH}/
	cd $(LIBMULTIDIR); mv *distorm*.so libdistorm3.so.${DEB_VERSION_UPSTREAM}
	cd $(LIBMULTIDIR); find -name '*distorm*.so' -exec ln -s {} libdistorm3.so.$(LIB_R_VERSION) \;

# Create a symlink for the real name file.
# Note that the runtime package (libdistorm3-3) must be the first binary stanza
# in debian/control.
override_dh_link-arch:
	dh_link usr/lib/${DEB_TARGET_MULTIARCH}/libdistorm3.so.$(LIB_R_VERSION) \
                usr/lib/${DEB_TARGET_MULTIARCH}/libdistorm3.so.3

=== debian/tests/control ===
Test-Command: g++ debian/tests/test.cpp -o test; ./test
Depends: @, g++
Restrictions: superficial

## distorm3 3.5.2b+ds

=== debian/changelog ===
distorm3 (3.5.2b+ds-1) unstable; urgency=medium

  * QA upload.
  * New upstream version 3.5.2b+ds.
  * debian/copyright: added a Files-Excluded field to list files that caused
    the +ds suffix.
  * debian/watch: added Dversionmangle line to handle +ds suffix.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 11 Feb 2026 12:17:42 -0300

distorm3 (3.5.2b-4) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated packaging copyright years.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 10 Feb 2026 13:02:02 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: distorm3
 Section: libs
-Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                libpython3-dev,
                python3,
                python3-setuptools
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://github.com/gdabah/distorm
 Vcs-Browser: https://salsa.debian.org/debian/distorm3
 Vcs-Git: https://salsa.debian.org/debian/distorm3.git

=== debian/watch ===
Version: 5

Template: Github
Owner: gdabah
Project: distorm
Dversionmangle: s/\+ds$//
